## ros-kinetic-jog-launch 0.0.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(jog_launch)

find_package(catkin REQUIRED COMPONENTS
  fake_joint_launch
  jog_controller
  roslaunch
  rostest
)

catkin_package()

include_directories(${catkin_INCLUDE_DIRS})

install(DIRECTORY launch config
  DESTINATION ${CATKIN_PACKAGE_SHARE_DESTINATION}
)

if(CATKIN_ENABLE_TESTING)
  set(LAUNCH_FILES
    launch/ur3.launch
    launch/ur5.launch
    launch/tra1.launch
    launch/nextage.launch
  )
  foreach(LAUNCH_FILE ${LAUNCH_FILES})
    message(STATUS "Testing ${LAUNCH_FILE}")
    roslaunch_add_file_check(${LAUNCH_FILE})
  endforeach()

  add_rostest(test/ur3_jog.test)
  add_rostest(test/ur5_jog.test)
  add_rostest(test/tra1_jog.test)
  # add_rostest(test/nextage_jog.test)
  
endif()

=== debian/changelog ===
ros-kinetic-jog-launch (0.0.2-1xenial) xenial; urgency=high

  * Add intermittent parameter (#31 <https://github.com/tork-a/jog_control/issues/31> )
    - When this parameter true, jog motions wait for the end of previous action
    - Add i611 files
  * Fixed launch files for motoman robots (#35 <https://github.com/tork-a/jog_control/issues/35> )
    - Fixed launch files for motoman robots.
  * Contributors: Alexandre Francoeur, LazyEngineerToBe, Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Sun, 15 Sep 2019 15:00:00 -0000

ros-kinetic-jog-launch (0.0.1-1xenial) xenial; urgency=high

  * Prepare for releasing (#28)
  * Migrating rostests from jog_controller to jog_launch (#27)
    - Add missing dependency
  * Modify nextage's test
    - It expects start_position feature in fake_joint_driver
  * Add tra1 tests
    - Purge tra1_bringup from dependency
  * Add UR3 rostest
  * Change use_rviz default false for test
  * add UR3 and UR3 rostest
  * Fix wrong link_name for joypad control
  * Add jog_launch package (#26)
  * Modify document, check it work as it saids
  * Reduce launch check for the files not ready
  * Move setting files to jog_launch package
  * Add settings for UR and tra1
  * Contributors: Ryosuke Tajima

 -- Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>  Wed, 29 Aug 2018 15:00:00 -0000

=== debian/control ===
Source: ros-kinetic-jog-launch
Section: misc
Priority: extra
Maintainer: Tokyo Opensource Robotics Kyokai (TORK) Developer Team <dev@opensource-robotics.tokyo.jp>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-fake-joint-launch, ros-kinetic-jog-controller, ros-kinetic-roslaunch, ros-kinetic-rostest
Homepage: http://wiki.ros.org/jog_launch
Standards-Version: 3.9.2

Package: ros-kinetic-jog-launch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-fake-joint-launch, ros-kinetic-jog-controller, ros-kinetic-nextage-moveit-config, ros-kinetic-roslaunch, ros-kinetic-rostest, ros-kinetic-tra1-moveit-config, ros-kinetic-ur3-moveit-config, ros-kinetic-ur5-moveit-config
Description: Collection of the launch files for jog_controller

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-jog-launch//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
